summaryrefslogtreecommitdiffstats
path: root/pasture/source/xfce4-volumed
diff options
context:
space:
mode:
Diffstat (limited to 'pasture/source/xfce4-volumed')
-rw-r--r--pasture/source/xfce4-volumed/0001-Removed-deprecated-Encoding-entry-in-.desktop-file-t.patch37
-rw-r--r--pasture/source/xfce4-volumed/0003-Removing-edge-case-memleaks.patch80
-rw-r--r--pasture/source/xfce4-volumed/slack-desc19
-rwxr-xr-xpasture/source/xfce4-volumed/xfce4-volumed.SlackBuild109
4 files changed, 245 insertions, 0 deletions
diff --git a/pasture/source/xfce4-volumed/0001-Removed-deprecated-Encoding-entry-in-.desktop-file-t.patch b/pasture/source/xfce4-volumed/0001-Removed-deprecated-Encoding-entry-in-.desktop-file-t.patch
new file mode 100644
index 000000000..f3f43ea1f
--- /dev/null
+++ b/pasture/source/xfce4-volumed/0001-Removed-deprecated-Encoding-entry-in-.desktop-file-t.patch
@@ -0,0 +1,37 @@
+From 2ee3b12be641501ee3a9ce0278291b8c5a865021 Mon Sep 17 00:00:00 2001
+From: Steve Dodier <sidnioulz@gmail.com>
+Date: Thu, 3 Mar 2011 11:43:26 +0100
+Subject: [PATCH 1/3] Removed deprecated "Encoding" entry in .desktop file
+ (thanks to Samuli Suominen)
+
+---
+ ChangeLog | 3 +++
+ data/xfce4-volumed.desktop | 1 -
+ 2 files changed, 3 insertions(+), 1 deletion(-)
+
+diff --git a/ChangeLog b/ChangeLog
+index e1690ba..beeb5f6 100644
+--- a/ChangeLog
++++ b/ChangeLog
+@@ -1,4 +1,7 @@
+ 2011-03-03 Steve Dodier <sidnioulz@gmail.com>
++ * Removed deprecated "Encoding" entry in .desktop file (thanks to Samuli Suominen)
++
++2011-03-03 Steve Dodier <sidnioulz@gmail.com>
+ * Allow compatibility with Libnotify 0.7 (thanks to Samuli Suominen for the patch)
+
+ 2011-03-03 Steve Dodier <sidnioulz@gmail.com>
+diff --git a/data/xfce4-volumed.desktop b/data/xfce4-volumed.desktop
+index 8ac7dc7..be362c5 100644
+--- a/data/xfce4-volumed.desktop
++++ b/data/xfce4-volumed.desktop
+@@ -1,6 +1,5 @@
+
+ [Desktop Entry]
+-Encoding=UTF-8
+ Type=Application
+ Terminal=false
+ Name=XFCE Volume Daemon
+--
+2.3.0
+
diff --git a/pasture/source/xfce4-volumed/0003-Removing-edge-case-memleaks.patch b/pasture/source/xfce4-volumed/0003-Removing-edge-case-memleaks.patch
new file mode 100644
index 000000000..8d45bae32
--- /dev/null
+++ b/pasture/source/xfce4-volumed/0003-Removing-edge-case-memleaks.patch
@@ -0,0 +1,80 @@
+From ac129e178c24d7ec79b020a7912cc680a6008c5b Mon Sep 17 00:00:00 2001
+From: Steve Dodier-Lazaro <sidnioulz@gmail.com>
+Date: Wed, 10 Dec 2014 03:38:32 +0000
+Subject: [PATCH 3/3] Removing edge-case memleaks
+
+---
+ src/main.c | 2 +-
+ src/xvd_mixer.c | 30 ++++++++++++++++++------------
+ 2 files changed, 19 insertions(+), 13 deletions(-)
+
+diff --git a/src/main.c b/src/main.c
+index 18e8e01..d04920c 100644
+--- a/src/main.c
++++ b/src/main.c
+@@ -81,7 +81,7 @@ xvd_shutdown()
+ xvd_keys_release (Inst);
+ xvd_xfconf_shutdown (Inst);
+
+- //TODO xvd_instance_free
++ g_free (Inst);
+ }
+
+ static void
+diff --git a/src/xvd_mixer.c b/src/xvd_mixer.c
+index 1d580bf..cef3151 100644
+--- a/src/xvd_mixer.c
++++ b/src/xvd_mixer.c
+@@ -102,31 +102,37 @@ _xvd_mixer_bus_message (GstBus *bus, GstMessage *message,
+ {
+ gst_mixer_message_parse_mute_toggled (message, &msg_track, &Inst->muted);
+ g_object_get (msg_track, "label", &label, NULL);
+- if (g_strcmp0 (Inst->track_label, label) != 0)
+- return;
++
++ if (g_strcmp0 (Inst->track_label, label) == 0)
++ {
+ #ifdef HAVE_LIBNOTIFY
+- if (Inst->muted)
+- xvd_notify_notification (Inst, "audio-volume-muted", 0);
+- else {
+- xvd_mixer_init_volume (Inst);
+- xvd_notify_volume_notification (Inst);
++ if (Inst->muted)
++ xvd_notify_notification (Inst, "audio-volume-muted", 0);
++ else {
++ xvd_mixer_init_volume (Inst);
++ xvd_notify_volume_notification (Inst);
+ #endif
++ }
+ }
++
+ g_free (label);
+ }
+ else if (type == GST_MIXER_MESSAGE_VOLUME_CHANGED)
+ {
+ gst_mixer_message_parse_volume_changed (message, &msg_track, &volumes, &num_channels);
+ g_object_get (msg_track, "label", &label, NULL);
+- if (g_strcmp0 (Inst->track_label, label) != 0)
+- return;
+- xvd_calculate_avg_volume (Inst, volumes, num_channels);
++ if (g_strcmp0 (Inst->track_label, label) == 0)
++ {
++ xvd_calculate_avg_volume (Inst, volumes, num_channels);
+ #ifdef HAVE_LIBNOTIFY
+- xvd_notify_volume_notification (Inst);
++ xvd_notify_volume_notification (Inst);
+ #endif
++ }
++
+ g_free (label);
+ }
+- else if (type == GST_MIXER_MESSAGE_MIXER_CHANGED) {
++ else if (type == GST_MIXER_MESSAGE_MIXER_CHANGED)
++ {
+ // This kind of message shouldn't happen on an hardware card
+ g_debug ("GST_MIXER_MESSAGE_MIXER_CHANGED event\n");
+ }
+--
+2.3.0
+
diff --git a/pasture/source/xfce4-volumed/slack-desc b/pasture/source/xfce4-volumed/slack-desc
new file mode 100644
index 000000000..e9266cbca
--- /dev/null
+++ b/pasture/source/xfce4-volumed/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xfce4-volumed: xfce4-volumed (audio volume management daemon)
+xfce4-volumed:
+xfce4-volumed: This daemon is responsible for making the volume up/down and mute
+xfce4-volumed: keys of the keyboard work automatically, and uses the XFCE mixer's
+xfce4-volumed: defined card and track for choosing which track to act on.
+xfce4-volumed:
+xfce4-volumed: It also provides volume change and mute toggle notifications if
+xfce4-volumed: a notification daemon is running (using libnotify).
+xfce4-volumed:
+xfce4-volumed: Homepage: https://launchpad.net/xfce4-volumed
+xfce4-volumed:
diff --git a/pasture/source/xfce4-volumed/xfce4-volumed.SlackBuild b/pasture/source/xfce4-volumed/xfce4-volumed.SlackBuild
new file mode 100755
index 000000000..d1123f784
--- /dev/null
+++ b/pasture/source/xfce4-volumed/xfce4-volumed.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/sh
+
+# Slackware build script for xfce4-volumed
+
+# Copyright 2006-2011 Robby Workman Northport, Alabama, USA
+# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=xfce4-volumed
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-3}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+patch -p1 < $CWD/0001-Removed-deprecated-Encoding-entry-in-.desktop-file-t.patch
+patch -p1 < $CWD/0003-Removing-edge-case-memleaks.patch
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --enable-debug=no \
+ --build=$ARCH-slackware-linux || exit 1
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING* INSTALL NEWS README* THANKS \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz